    //erzeugt eine aktuelle xx und yy Liste und startet den Plot
    function Rotationsflaeche(){
        var meshx = eval(document.querySelector("#mymeshx").value);
        var meshy = eval(document.querySelector("#mymeshy").value);
        var offwinkel = eval(document.querySelector("#myangle").value);


        document.getElementById("3dRotation").innerHTML = "";
        draw();
        initialization();
        [xx,yy] = [xxueber.map(function(x){return x*100;}),yyueber.map(function(x){return x*100;})];
  
      // Structured (n * m) grid of data. Point coordinates are (xgrid, ygrid) 
      var n = meshx +1, m = meshy +1;
    //   var n = 101, m = 61;
      var nverts = n*m;
      var zgrid = new Array(n * m);
      var xgrid = new Array(n * m);
      var ygrid = new Array(n * m); 
      var scalexx = Math.round(xx.length/n);
      var scaleyy = Math.round(yy.length/m);
      for (var j = 0., k = 0; j<m; ++j) {
          for (var i = 0.; i < n; ++i, ++k) {
              xgrid[k] = xx[scalexx*i];
              ygrid[k] =Math.cos(2*Math.PI*j*scaleyy/yy.length*offwinkel/360)*yy[scalexx*i];
              zgrid[k] =Math.sin(2*Math.PI*j*scaleyy/yy.length*offwinkel/360)*yy[scalexx*i];
          }
      }

      //Obtain centre of grid and scale factors
      var xmin = d3.min(xgrid);
      var xmax = d3.max(xgrid);
      var xmid = 0.5*(xmin+xmax);
      var xrange = xmax-xmin;
          
      var ymin = d3.min(ygrid);
      var ymax = d3.max(ygrid);
      var ymid = 0.5*(ymin+ymax);
      var yrange = ymax-ymin;
          
      var zmin = d3.min(zgrid);
      var zmax = d3.max(zgrid);
      var zmid = 0.5*(zmin+zmax);
      var zrange = zmax-zmin;
          
      var scalefac = 1/Math.max(xrange, yrange);
      var scalefacz = 1/Math.max(xrange, yrange);
          
      // Use d3 for color scale 
      var color = d3.scaleLinear()
          .domain(d3.extent(zgrid))
          .interpolate(function() { return d3.interpolateRdBu; });
  
      // Initialise threejs geometry
      var geometry = new THREE.Geometry(); 
          
      // Add grid vertices to geometry
      for (var k = 0; k < nverts; ++k) {
          var newvert= new THREE.Vector3( (xgrid[k] - xmid) * scalefac, (ygrid[k] - ymid) * scalefac, (zgrid[k] - zmid) * scalefacz);
          geometry.vertices.push(newvert);
      }
          
      // Add cell faces (2 triangles per cell) to geometry
      for (var j = 0; j < m-1; j++){
          for (var i = 0; i < n-1; i++){ 
              var n0 = j*n + i;
              var n1 = n0 + 1;
              var n2 = (j+1)*n + i + 1;
              var n3 = n2 - 1;
              face1= new THREE.Face3(n0,n1,n2);
              face2= new THREE.Face3(n2,n3,n0);
              face1.vertexColors[0]=new THREE.Color(color(zgrid[n0]));
              face1.vertexColors[1]=new THREE.Color(color(zgrid[n1]));
              face1.vertexColors[2]=new THREE.Color(color(zgrid[n2]));
              face2.vertexColors[0]=new THREE.Color(color(zgrid[n2]));
              face2.vertexColors[1]=new THREE.Color(color(zgrid[n3]));
              face2.vertexColors[2]=new THREE.Color(color(zgrid[n0]));
              geometry.faces.push(face1);
              geometry.faces.push(face2);
          }
      }
          
      // Compute normals for shading
      geometry.computeFaceNormals();
      geometry.computeVertexNormals();
          
      // Use MeshPhongMaterial for a reflective surface
      var material = new THREE.MeshPhongMaterial( {
          side: THREE.DoubleSide,
          color: 0xffffff,
          vertexColors: THREE.VertexColors,
          specular: 0x050505,
          shininess: 100.,
          emissive: 0x111111,
      });
          
      // Initialise threejs scene
      var scene = new THREE.Scene();
          
      // Add Mesh to scene
      mesh = new THREE.Mesh( geometry, material )
      scene.add( mesh );
          
      // Create renderer
      var renderer = new THREE.WebGLRenderer({preserveDrawingBuffer:true,alpha:true, antialias:true}); 
      renderer.setPixelRatio( window.devicePixelRatio );
      if (WIDTH<=HEIGHT) {
        rendergroesse = WIDTH;
      }
      else rendergroesse = HEIGHT;
      renderer.setSize( rendergroesse,rendergroesse );
  
      // Set target DIV for rendering
      var container = document.getElementById( '3dRotation' );
      container.appendChild( renderer.domElement );
  
      // Define the camera
      var camera = new THREE.PerspectiveCamera( 45, 1, 0.1, 10 );
      camera.position.z = 2; 
  
      // Add controls 
      var controls = new THREE.OrbitControls( camera, renderer.domElement );
      controls.addEventListener( 'change', function(){
          renderer.render(scene,camera); // re-render if controls move/zoom 
          //Screenshot of re-rendered scene
          var dataUrl = renderer.domElement.toDataURL("image/png");
          document.getElementById("shot").href = dataUrl;    
      } ); 
      controls.enableZoom = true; 
      controls.enableKeys=false;
  
      // Light above
      var light = new THREE.PointLight( 0xffffff);
      light.position.set( 0, 0, 3 );
      scene.add( light );
          
      // Light below
      var light = new THREE.PointLight( 0xffffff);
      light.position.set( 0, 0, -3 );
      scene.add( light );
  
      // Ambient light
      var light = new THREE.AmbientLight( 0x222222 );
      scene.add( light );  
        
      // Make initial call to render scene
      renderer.render( scene, camera );

      //Screenshot of initial scene
      var dataUrl = renderer.domElement.toDataURL("image/png");
      document.getElementById("shot").href = dataUrl;    
     
      
          
    }
    function Clear3DPlot(){
      document.getElementById("3dRotation").innerHTML = ""; 
    }
    
    (function () {
      Rotationsflaeche();
      Clear3DPlot();
    }());
    