var fa = 100;

    var canvas;
    var ctx;
    var xca;
    var yca;
    var WIDTH = screen.width*0.5;
    var HEIGHT = screen.height*0.5;
    var dragok = false;
    var pointA = false;
    var pointControlA = false;
    var xa;
    var ya;
    var xxa;
    var yya;

    var xs;
    var ys;
    var mm = 500;

    var summe = 0;
    var tmin;
    var tmax;

    var hi = [];
    var fi = [];
    var gi = [];

    var Fix = [];
    var Fiy = [];

    function h(t) {
      var fff = document.querySelector("#inputfunction").value;
      document.getElementById("errormessagebereich_f").innerHTML = "";


      try {
        with (Math) {
          xxx = eval(fff);
        }
      }
      catch (err) {
        document.getElementById("errormessagebereich_f").innerHTML 
          = err.message;
      }

      return xxx; 
    }


    function initialization() {
      pointControlA = false;

      xa = eval(document.querySelector("#pktax").value);
      ya = eval(document.querySelector("#pktay").value);

      xca = eval(document.querySelector("#tpktax").value) * fa;
      yca = eval(document.querySelector("#tpktay").value) * fa;

      var ttmin = document.querySelector("#tmin").value;
      var ttmax = document.querySelector("#tmax").value;



      document.getElementById("errormessagebereich_t").innerHTML = "";

      try {
        with (Math) {
          tmin = eval(ttmin);
          tmax = eval(ttmax);
        }
      }
      catch (err) {
        document.getElementById("errormessagebereich_t").innerHTML = err.message;
      }

      xxa = xa * fa;
      yya = ya * fa;

      xs = xxa - xca;
      ys = yya - yca;


      summe = 0.;
      hi = [];
      hi.push(summe);

      for(i = 0; i < mm; i++) {
        dt = (tmax - tmin)/mm;

        summe = summe + (h(tmin + i * dt) + h(tmin + (i + 1) * dt)) * dt * .5;
        hi.push(summe);
      }

      summe = 0.;
      fi = [];
      fi.push(summe);

      for(i = 0; i < mm; i++) {
        dt = (tmax - tmin)/mm;

        summe = summe + (Math.sin(2. * hi[i]) + Math.sin(2. * hi[i + 1])) *
          dt * .5;
        fi.push(summe);
      }

      summe = 0.;
      gi = [];
      gi.push(summe);

      for(i = 0; i < mm; i++) {
        dt = (tmax - tmin)/mm;

        summe = summe + (Math.cos(2. * hi[i]) + Math.cos(2. * hi[i + 1])) *
          dt * .5;
        gi.push(summe);
      }
      setInterval(draw, 10);
      setparam();
      
    };

    function hilf(i, c1, c2) {
      return ((gi[i] + c2) * Math.sin(2. * hi[i]) - (fi[i] - c1) *
          Math.cos(2. * hi[i]))/Math.sqrt((fi[i] - c1) * (fi[i] - c1) +
          (gi[i] + c2) * (gi[i] + c2));
    }

    function FF(c1, c2, c3) {
      summe = 0.;
      Fix = [];
      Fiy = [];
      Fix.push(summe + c3);

      for(i = 0; i < mm; i++) {
        dt = (tmax - tmin)/mm;

        summe = summe + (hilf(i, c1, c2) + hilf(i + 1, c1, c2)) * dt * .5;
        Fix.push(summe + c3);
      }

      for(i = 0; i < mm + 1; i++) {
        Fiy.push(Math.sqrt((fi[i] - c1) * (fi[i] - c1) +
              (gi[i] + c2) * (gi[i] + c2)));
      }

      return [Fix, Fiy];
    }


    function rect(x,y,w,h) {
      ctx.beginPath();
      ctx.rect(x,y,w,h);
      ctx.closePath();
      ctx.fill();
    }

    function clear() {
      ctx.clearRect(0, 0, WIDTH, HEIGHT);
    }

    function init() {
      canvas = document.getElementById("kurve");
      ctx = canvas.getContext("2d");
      canvas.setAttribute('width', WIDTH);
      canvas.setAttribute('height', HEIGHT);
      return setInterval(draw, 10);
 
  
    }

    function draw() {
      clear();
      ctx.save();
      ctx.lineWidth = 1;
      ctx.fillStyle = "#AAF7F8";
      rect(0,0,WIDTH,HEIGHT);
      ctx.fillStyle = "#444444";
      rect(xxa - 5, yya - 5, 10, 10);
      ctx.fillStyle = "#0095cd"; 
      rect(xca - 5, yca - 5, 10, 10);
      ctx.restore();

      xs = xxa - xca;
      ys = yya - yca;

      setparam();

      kurve();
      [xxueber,yyueber]=[xx,yy];
      lerp(xxa, yya, xca, yca);
    }

    function setparam() {
      if(dragok) {
        document.querySelector("#pktax").value = xa;
        document.querySelector("#pktay").value = ya;
        document.querySelector("#tpktax").value = xca/fa;
        document.querySelector("#tpktay").value = yca/fa;
      }
    }

    function lerp(pAx, pAy, pBx, pBy){
      ctx.save();
      ctx.lineWidth = 1;
      ctx.strokeStyle = "#000";
      ctx.moveTo(pAx,pAy);
      ctx.lineTo(pBx,pBy);
      ctx.stroke();
      ctx.restore();
    }
    
    function kurve(){
      xa = xxa/fa;
      ya = yya/fa;
    
      aa = xs/Math.sqrt(xs * xs + ys * ys);
      bb = ys/Math.sqrt(xs * xs + ys * ys);
    
      c1 = ya * aa;
      c2 = ya * bb;
      c3 = xa; 
      
      [xx, yy] = FF(c1, c2, c3);
    
      ctx.save();
      ctx.strokeStyle ="#000";
      ctx.lineWidth = 2;

      ctx.moveTo(fa * xx[0], fa * yy[0]);
      for(i = 0; i < mm + 1; i++)
      {
        ctx.lineTo(fa * xx[i], fa * yy[i]);
      }
      ctx.stroke();
      ctx.restore();
      
    }

    function myMove(e){
      if (dragok){
        if (pointA){
          xxa = e.pageX - canvas.offsetLeft;
          yya = e.pageY - canvas.offsetTop;
        } else if (pointControlA){
          xca = e.pageX - canvas.offsetLeft;
          yca = e.pageY - canvas.offsetTop;
        }
      }
    }

    function myDown(e){
      if (e.pageX < xxa + 5 + canvas.offsetLeft && e.pageX > xxa - 5 +
          canvas.offsetLeft && e.pageY < yya + 5 + canvas.offsetTop &&
          e.pageY > yya -5 + canvas.offsetTop){
        xxa = e.pageX - canvas.offsetLeft;
        yya = e.pageY - canvas.offsetTop;
        dragok = true;
        pointA = true;
        canvas.onmousemove = myMove;
      } else if (e.pageX < xca + 5 + canvas.offsetLeft && e.pageX > xca - 5 +
          canvas.offsetLeft && e.pageY < yca + 5 + canvas.offsetTop &&
          e.pageY > yca -5 + canvas.offsetTop){
        xca = e.pageX - canvas.offsetLeft;
        yca = e.pageY - canvas.offsetTop;
        dragok = true;
        pointControlA = true;
        canvas.onmousemove = myMove;
      }
    }

    function myUp(){
      dragok = false;
      pointA = false;
      pointControlA = false;
      pointB = false;
      pointControlB = false;
      canvas.onmousemove = null;
    }

    initialization();
    init();
    canvas.onmousedown = myDown;
    canvas.onmouseup = myUp;
